org.apache.hadoop.yarn.server.federation.store.exception

## Class FederationStateStoreException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hadoop.yarn.exceptions.YarnException
      - - org.apache.hadoop.yarn.server.federation.store.exception.FederationStateStoreException

- All Implemented Interfaces:
    Serializable

      public class FederationStateStoreException
      extends org.apache.hadoop.yarn.exceptions.YarnException

  Exception thrown by the `FederationStateStore`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederationStateStoreException()`
    `FederationStateStoreException(String message)`
    `FederationStateStoreException(String message, Throwable cause)`
    `FederationStateStoreException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FederationStateStoreException

          public FederationStateStoreException()

    - #### FederationStateStoreException

          public FederationStateStoreException(String message)

    - #### FederationStateStoreException

          public FederationStateStoreException(Throwable cause)

    - #### FederationStateStoreException

          public FederationStateStoreException(String message,
                                               Throwable cause)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.